<?php

namespace App\Form;

use App\Entity\Domain;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\CheckboxType;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class DomainType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('enabled', CheckboxType::class, [
                'attr' => ['checked' => 'checked', 'value' => '1']
            ])
            ->add('domain', TextType::class, [
                'attr' => [
                    'placeholder' => 'example.com'
                ]
            ])
            ->add('name', TextType::class, [
                'attr' => [
                    'placeholder' => "John Doe's Blog"
                ]
            ])
            ->add('defaultSortPolicy', ChoiceType::class, [
                'choices'  => Domain::SORT_POLICIES,
            ])
        ;
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => Domain::class,
        ]);
    }
}
